# Source Generated with Decompyle++
# File: in.pyo (Python 2.5)

import codecs

class Codec(codecs.Codec):
    
    def encode(self, input, errors = 'strict'):
        return codecs.charmap_encode(input, errors, encoding_table)

    
    def decode(self, input, errors = 'strict'):
        return codecs.charmap_decode(input, errors, decoding_table)



class IncrementalEncoder(codecs.IncrementalEncoder):
    
    def encode(self, input, final = False):
        return codecs.charmap_encode(input, self.errors, encoding_table)[0]



class IncrementalDecoder(codecs.IncrementalDecoder):
    
    def decode(self, input, final = False):
        return codecs.charmap_decode(input, self.errors, decoding_table)[0]



class StreamWriter(Codec, codecs.StreamWriter):
    pass


class StreamReader(Codec, codecs.StreamReader):
    pass


def getregentry():
    return codecs.CodecInfo(name = 'cp1257', encode = Codec().encode, decode = Codec().decode, incrementalencoder = IncrementalEncoder, incrementaldecoder = IncrementalDecoder, streamreader = StreamReader, streamwriter = StreamWriter)

decoding_table = u'\x00\x01\x02\x03\x04\x05\x06\x07\x08\t\n\x0b\x0c\r\x0e\x0f\x10\x11\x12\x13\x14\x15\x16\x17\x18\x19\x1a\x1b\x1c\x1d\x1e\x1f !"#$%&\'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\\]^_`abcdefghijklmnopqrstuvwxyz{|}~\x7f\xe2\x82\xac\xef\xbf\xbe\xe2\x80\x9a\xef\xbf\xbe\xe2\x80\x9e\xe2\x80\xa6\xe2\x80\xa0\xe2\x80\xa1\xef\xbf\xbe\xe2\x80\xb0\xef\xbf\xbe\xe2\x80\xb9\xef\xbf\xbe\xc2\xa8\xcb\x87\xc2\xb8\xef\xbf\xbe\xe2\x80\x98\xe2\x80\x99\xe2\x80\x9c\xe2\x80\x9d\xe2\x80\xa2\xe2\x80\x93\xe2\x80\x94\xef\xbf\xbe\xe2\x84\xa2\xef\xbf\xbe\xe2\x80\xba\xef\xbf\xbe\xc2\xaf\xcb\x9b\xef\xbf\xbe\xc2\xa0\xef\xbf\xbe\xc2\xa2\xc2\xa3\xc2\xa4\xef\xbf\xbe\xc2\xa6\xc2\xa7\xc3\x98\xc2\xa9\xc5\x96\xc2\xab\xc2\xac\xc2\xad\xc2\xae\xc3\x86\xc2\xb0\xc2\xb1\xc2\xb2\xc2\xb3\xc2\xb4\xc2\xb5\xc2\xb6\xc2\xb7\xc3\xb8\xc2\xb9\xc5\x97\xc2\xbb\xc2\xbc\xc2\xbd\xc2\xbe\xc3\xa6\xc4\x84\xc4\xae\xc4\x80\xc4\x86\xc3\x84\xc3\x85\xc4\x98\xc4\x92\xc4\x8c\xc3\x89\xc5\xb9\xc4\x96\xc4\xa2\xc4\xb6\xc4\xaa\xc4\xbb\xc5\xa0\xc5\x83\xc5\x85\xc3\x93\xc5\x8c\xc3\x95\xc3\x96\xc3\x97\xc5\xb2\xc5\x81\xc5\x9a\xc5\xaa\xc3\x9c\xc5\xbb\xc5\xbd\xc3\x9f\xc4\x85\xc4\xaf\xc4\x81\xc4\x87\xc3\xa4\xc3\xa5\xc4\x99\xc4\x93\xc4\x8d\xc3\xa9\xc5\xba\xc4\x97\xc4\xa3\xc4\xb7\xc4\xab\xc4\xbc\xc5\xa1\xc5\x84\xc5\x86\xc3\xb3\xc5\x8d\xc3\xb5\xc3\xb6\xc3\xb7\xc5\xb3\xc5\x82\xc5\x9b\xc5\xab\xc3\xbc\xc5\xbc\xc5\xbe\xcb\x99'
encoding_table = codecs.charmap_build(decoding_table)
